package com.fs.store.service;

import java.util.List;
import com.fs.store.domain.FsUserPromoterApply;
import com.fs.store.param.FsUsePromoterApplyParam;
import com.fs.store.vo.FsUserPromoterApplyVO;

/**
 * 推广员申请Service接口
 * 
 * @author fs
 * @date 2023-02-28
 */
public interface IFsUserPromoterApplyService 
{
    /**
     * 查询推广员申请
     * 
     * @param applyId 推广员申请ID
     * @return 推广员申请
     */
    public FsUserPromoterApply selectFsUserPromoterApplyById(Long applyId);

    /**
     * 查询推广员申请列表
     * 
     * @param fsUserPromoterApply 推广员申请
     * @return 推广员申请集合
     */
    public List<FsUserPromoterApply> selectFsUserPromoterApplyList(FsUserPromoterApply fsUserPromoterApply);

    /**
     * 新增推广员申请
     * 
     * @param fsUserPromoterApply 推广员申请
     * @return 结果
     */
    public int insertFsUserPromoterApply(FsUserPromoterApply fsUserPromoterApply);

    /**
     * 修改推广员申请
     * 
     * @param fsUserPromoterApply 推广员申请
     * @return 结果
     */
    public int updateFsUserPromoterApply(FsUserPromoterApply fsUserPromoterApply);

    /**
     * 批量删除推广员申请
     * 
     * @param applyIds 需要删除的推广员申请ID
     * @return 结果
     */
    public int deleteFsUserPromoterApplyByIds(Long[] applyIds);

    /**
     * 删除推广员申请信息
     * 
     * @param applyId 推广员申请ID
     * @return 结果
     */
    public int deleteFsUserPromoterApplyById(Long applyId);

    FsUserPromoterApply selectFsUserPromoterApplyByUserId(long userId);

    List<FsUserPromoterApplyVO> selectFsUserPromoterApplyListVO(FsUsePromoterApplyParam fsUserPromoterApply);
}
